/*******************************************************************************
 * SENSERA CONFIDENTIAL
 *
 * Copyright 2012 - 2025 Sensera Systems Inc. All Rights Reserved.
 *
 * NOTICE: All information contained herein is, and remains the property of Sensera Systems Inc. and its suppliers. The
 * intellectual and technical concepts contained herein are proprietary to Sensera Systems Inc. and may be covered by
 * U.S. and Foreign Patents, patents in process, and are protected by trade secret or copyright law. Dissemination of
 * this information or reproduction of this material is strictly forbidden unless prior written permission is obtained
 * from Sensera Systems Inc.
 ******************************************************************************/

a:link, a:visited {
    text-decoration: none;
}

.fa.fa-bars {
	padding: 8px;
	border-radius: var(--borderRadius_els);
    color: var(--ColorContrastPrim);
    font-family: 'FontAwesome';
    font-size: 20px;

	cursor: pointer;
}

#DrawerDiv {
    justify-self: center;
    position: unset;
}

#DrawerDiv .fa-close {
    vertical-align: middle;
    float: left;
    padding: 8px;
    color: var(--ColorContrastPrim);
    text-align: center;
    font-size: 20px;

    cursor: pointer;
}

#Drawer {
    box-sizing: border-box;
    z-index: 101 !important;
    position: absolute;
    left: 0;
    top: 1px;
	width: 330px;
    height: auto;
    border: 1px solid rgba(0, 0, 0, .8);
    background-color: var(--ColorPrimaryDk);

    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.7);

    visibility: hidden;
    opacity: 0;
    transition: visibility 250ms, opacity 250ms;
}

#Drawer .fa-times {
    float: right;
    color: var(--ColorContrastPrim);
    font-size: 20px;
    padding: 3px 9px 3px 8px;
    cursor: pointer;
}

#Drawer.open {
    left: 0;
    right: auto;
    visibility: visible;
    opacity: 1;
}

#DrawerInner,
#DrawerInner > * {
    position: relative;
    box-sizing: border-box;
}

#DrawerInner {
    display: flex;
    flex-direction: column;
    overflow: auto;
    color: white;
    text-align: left;
    font-size: 16px;
    line-height: 1.1;
}

#DrawerInner .NODE_DESC.no-desc {
    color: var(--ColorPrimaryLt_dimTxt)
}

.mobile-border {
	margin: 3px;
    padding: 3px;
	border-radius: var(--borderRadius_els);
    background: #0f273e;
}

#DrawerInner .Links {
    line-height: 1.1;
}

#DrawerInner a,
#DrawerInner .link {
	display: inline-block;
	margin: 4px 0;
    padding-bottom: 1px;
	border-bottom: 1px solid hsl(30deg 93% 60% / 0.3);
	color: var(--ColorContrastPrim);

    transition: color 200ms;
}

#DrawerInner a:hover,
#DrawerInner .link:hover {
    color: white;
}

#DrawerInner header {
    display: grid;
    grid-auto-flow: column;
    grid-template-columns: auto 1fr auto;
}

#DrawerInner .site-logo-link,
#DrawerInner header a {
    display: block;
    margin: 0;
    padding: 0;
    border-bottom: none;
    text-decoration: none;
}

#DrawerInner header .site-logo-link {
    grid-area: 1;
    padding: 4px;
}

#DrawerInner #appStoreBadges {
    grid-area: 1 / 2;
    justify-self: end;
}

#DrawerInner header .app-store-badges {
    display: none;
}

.client-os-ios #Drawer #appStoreBadge_Apple,
.client-os-android #Drawer #appStoreBadge_Google {
    display: block;
}

.client-os-ios #appStoreBadge_Google,
.client-os-android #appStoreBadge_Apple {
    display: none;
}

#DrawerInner header .app-store-badges a {
    height: 36px;
}

#DrawerInner header .app-store-badges svg {
    height: 100%;
}

#DrawerInner .Links a,
#DrawerInner .link {
    display: block;
    padding: 4px;
    text-align: left;
    text-transform: none;

	cursor: pointer;
}

#DrawerInner .Links .currentPage {
	color: white;
}

#DrawerInner .Links a.support-site {
    display: flex;
}

#DrawerInner .Links a.support-site .fa-external-link {
    margin-left: auto;
}

#DrawerInner .Links a.conditional-links {
    display: none;
}

.analytics-active #DrawerInner .Links a.conditional-links-analytics {
    display: block;
}

.insights-active #DrawerInner .Links a.conditional-links-insights {
  display: block;
}

#DrawerInner #CurrentLogin {
    margin: 0 0 8px;
    padding: 6px;
    border: 1px solid var(--ColorPrimaryLt);
    border-radius: var(--borderRadius_els);
}

#CurrentLogin_Title {
    font-size: 80%;
}

#CurrentLogin_Username_Wrapper,
#CurrentLogin_Company_Wrapper {
    padding: 2px 0;
}

#CurrentLogin_Username_Wrapper {
    overflow: hidden;
    text-overflow: ellipsis;
}

#CurrentLogin_Username {
	font-weight: bold;
}

#CurrentLogin_Actions {
    margin-top: 6px;
    text-align: center;
}

#DrawerInner #CurrentLogin a {
    margin: 0;
    border-bottom: none;
}

#Drawer .subnav-wrapper {
    display: flex;
    flex-direction: column;
    color: var(--ColorContrastPrim);

    transition: color 200ms;

    cursor: pointer;
}

#Drawer .subnav-wrapper:active,
#Drawer .subnav-wrapper:focus {
    -webkit-touch-callout: none !important;
    -webkit-tap-highlight-color: transparent !important;
    -webkit-highlight: none !important;
    -webkit-user-select: none !important;
    user-select: none !important;
    outline: none !important;
}

#Drawer .subnav-parent {
    display: flex;
    padding: 4px;
}

#Drawer .subnav-parent .PulldownIcon {
    margin-left: auto;
}

#Drawer .subnav-wrapper .DropdownIcon {
    vertical-align: unset;
}

#Drawer .subnav-parent .PulldownIcon div {
    background-position: bottom;
}

#Drawer .subnav-parent .PulldownIcon {
    transition: transform 350ms;
}

#Drawer .subnav-persist-open .PulldownIcon {
    opacity: 0.3;
}

#Drawer .open > .subnav-parent .PulldownIcon {
    transform: rotate(180deg);
}

#Drawer .subnav-links {
    overflow: hidden;
    padding-left: 16px;
    max-height: 0;
    border-bottom: 1px solid hsl(30deg 93% 60% / 0.3);

    transition: max-height 350ms;
}
#Drawer .open > .subnav-links {
    max-height: 500px;
}

#DrawerInner .subnav-links :last-child {
    border-bottom: none;
}

#RegNewDevice_DrawerBtn {
    position: relative;
    left: auto;
    transform: none;
    margin: 8px auto;
}

#SiteLogo {
    display: flex;
    align-items: center;
}

.site-logo-link {
    grid-column: 2;
    margin-top: -12px;
}

.site-logo-link img,
.site-logo-link svg {
	vertical-align: middle;
	display: inline-block;
}

.site-logo-link .sslogo_svg1 {
	height: 30px;
}

#SiteContainer .multiple-companies {
    display: none;
}


/** iPads, misc. tablets, widescreen notebooks */
/** Tier 2 */ @media only screen and ( max-width: 1440px ),
only screen and ( max-height: 860px ) {
    #DrawerDiv {
        display: block;
        margin-left: 2px;
    }

    #Drawer {
        top: 2px;
        left: 0;
        height: 100vh;
    }

    #DrawerInner {
        height: calc(100% - 6px);
    }
}


/** Tier 3 */ @media only screen and ( max-width: 930px )
{
    #DrawerDiv {
        grid-row: 1 / span 2;
    }

    #Drawer {
        left: 0;
    }

    #DrawerInner {
        padding-bottom: 16px;
    }

    .site-logo-link {
        margin-top: 0;
    }

    .site-logo-link .sslogo_svg1 {
        height: 24px;
    }
}

/** Phones mostly */
/** Tier 4 */ @media only screen and ( max-width: 770px )
{
    #Drawer {
        width: 85vw;
        height: 100vh;
    }

    .site-logo-link {
        display: block;
    }

    .site-logo-link .sslogo_svg1 {
        height: 21px;
    }
}
